2023-12-06 08:48 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004541WHDLoad Installs Gamesslavepublic2020-04-24 00:33
ReporterRetroplay 
Assigned ToJOTDProject InfoWHDLoad Installs for Games
http://whdload.de/download.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0004541: Tin Toy Adventure (AGA) "Line 1111 Emulator" crash
Descriptionhttp://www.whdload.de/games/TinToyAdventure.html

Slave v1.1 from 21.04.2020
it crashes at the titlescreen with
Exception "Line 1111 Emulator" ($2C) at $A0C8 occured.

I tried files from working v1.0 installation as well as reinstalled the game.
Same thing happens.
Steps To ReproduceStart game, almost immediately when titlescreen appears it crashes.
Additional InformationRegister log attached for inspection.
TagsNo tags attached.
MachineUAE
CPU68030
CPUSpeed33
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftSelfmade
WHDLoad18.6beta
imported
Attached Files
  • ? file icon .whdl_register (2,853 bytes) 2020-04-22 17:46 -
    ************************* 22-Apr-20 17:30:47 ************************18.6.5968***
    Slave='TinToyAdventureAGA.slave' (2108 bytes)
    Resload   47FE9000 - 47FF0738 (  30520) at 47FE9000  GL=$47FF2000
    Slave     47FFB000 - 47FFB818 (   2072) at 47FFB000  BaseMemSize=$1F0000
    attn=207(UAE,30) fc=4 kn=23100 cs=D936 rw=0 zpt=-1 ep=0 ei=0
    setcpu=13E(IC,SCB,ECB,BWT)
    
    Exception "Line 1111 Emulator" ($2C) at $A0C8 occured.
    
    $0000a086 beq.b        $a08c
    $0000a088 subi.b       #1,(a1)                        ;$0002318e
    $0000a08c addi.w       #3,($22118)
    $0000a094 jsr          ($220d6)
    $0000a09a bra.b        $a066
    $0000a09c cmpi.b       #0,($a490)
    $0000a0a4 bgt.b        $a0ac
    $0000a0a6 jsr          ($2211a)
    $0000a0ac rts
    $0000a0ae move.w       ($22172),d0
    $0000a0b4 andi.w       #1,d0
    $0000a0b8 cmpi.w       #1,d0
    $0000a0bc bne.w        $a148
    $0000a0c0 move.w       #$20,($dff106)
    1m$0000a0c8 line-f       $fff9
    22m$0000a0ca ori.b        #??$a0,d0
    $0000a0ce adda.l       ($a4e4),a1
    $0000a0d4 move.w       (a1),d0                        ;$0002318e
    $0000a0d6 cmpi.w       #$fffe,d0
    $0000a0da bne.b        $a0e4
    $0000a0dc clr.l        ($a4e4)
    $0000a0e2 bra.b        $a0c8
    $0000a0e4 addi.l       #2,($a4e4)
    $0000a0ee cmpi.b       #0,($a490)
    $0000a0f6 bne.b        $a110
    $0000a0f8 move.w       d0,($dff182)
    $0000a0fe move.w       #$777,($dff184)
    $0000a106 move.w       #$777,($dff186)
    $0000a10e bra.b        $a148
    
    exception stackframe:
    $001EFFEC 20000000 A0C8002C
    regular stack:
    $001EFFF4 00009BDA 47FFB498 00009756
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx    E0001  D1D10000  D2D20FFF  D3D30F00  D4D40FF0  D5D50FFF  D6D6FF00     CFF00
    Ax    22A02     2318E     E3B16  A3A3A3A3  A4A4A4A4       400      A4E8
    
                     TTSM III   XNZVC
    PC=    A0C822m  SR %0010000000000000  USP=1EFC00  1mISP=1EFFEC  MSP=1EF800
    VBR=47FF3000  SFC=4  DFC=4  CACR=2011  CAAR=0  TT0=FF8540  TT1=0
    TC=80C07760  CRP=8000000247FE7000  SRP=8000000247FE7000  MMUSR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%010000000011100022m dmacon=%1m0010011111000000 adkcon=$1100
    intreq=%0000011110000000
    vposr....A300  vhposr...02A9  joy0dat..0102  joy1dat..0000  clxdat...8000  
    pot0dat..2C00  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..0054  
    deniseid.00F8  hhposr...0068  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000000022m  ta=21FF<21FF	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000000022m  tb=21FF<21FF	   crb=1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=1111111022m  prb=1m1111111122m      pra=1m1111111122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=0002EB  icr=00  sdr=00    event=03928C  icr=00  sdr=00
    
    ? file icon .whdl_register (2,853 bytes) 2020-04-22 17:46 +
  • zip file icon TinToyAdventure.zip (1,710 bytes) 2020-04-23 23:27

-Relationships
+Relationships

-Notes

note ~0008405

Pascal De Maeseneire (reporter)

Hi, With latest Slave 1.1, I Have the same way on my Real A1200 68030... same message Exception as Retroplay... "Line 1111 Emulator" ($2C) at $A0C8...
But with the slave v1.0 From whdownload.com (Because I don't find any IPF)
I don't have any crash... the game works correctly,
Best Regards,
Pascal

note ~0008423

JOTD (developer)

I think I found a possible random write error there depending on the state of the registers. Can you test the attached slave?

note ~0008429

Retroplay (reporter)

Yes, v1.2 seems to have fixed the error.
+Notes

-Issue History
Date Modified Username Field Change
2020-04-22 17:46 Retroplay New Issue
2020-04-22 17:46 Retroplay File Added: .whdl_register
2020-04-22 19:49 Pascal De Maeseneire Note Added: 0008405
2020-04-23 23:14 JOTD Assigned To => JOTD
2020-04-23 23:14 JOTD Status new => assigned
2020-04-23 23:26 JOTD Note Added: 0008423
2020-04-23 23:27 JOTD File Added: TinToyAdventure.zip
2020-04-23 23:27 JOTD Status assigned => confirmed
2020-04-24 00:23 Retroplay Note Added: 0008429
2020-04-24 00:33 JOTD Status confirmed => closed
2020-04-24 00:33 JOTD Resolution open => fixed
+Issue History